#ifndef LC6_LIBCHAT6_H
#define LC6_LIBCHAT6_H

enum LIBCHAT_USER_STATUS {
        LC6_STATUS_OFFLINE = 0,
        LC6_STATUS_ONLINE,
        LC6_STATUS_AWAY,
        LC6_STATUS_TYPING
};

typedef struct LIBCHAT_EVENT {
	int event_type;
	union {
		int a;
		int b;
	} event;
} LIBCHAT_EVENT;

typedef void *LIBCHAT;
typedef int(*LIBCHAT_CB)(LIBCHAT_EVENT*);

LIBCHAT* libchat_init(char *path, unsigned char *password);
int libchat_event_reg(LIBCHAT *ctx, LIBCHAT_CB *cb);
int libchat_start(LIBCHAT *ctx);

#endif
